Subject: bug#58771: 29.0.50; context submenu can not click when run emacs lucid build.

From: Po Lu <[email-masked]>
Date: Thu, 12 Jan 2023 11:44:17 +0800

Mike Kupfer <[email-masked]> writes:

> Would this also involve removing f_lucid__menu_grab_keyboard from the
> emacs_globals struct and removing the corresponding DEFVAR_BOOL in
> keyboard.c?  pop_up_menu() is the only place lucid__menu_grab_keyboard
> is used.

Ah, globals.h is automatically generated by make-docfile from the
various *.[cm] files during the build process.  This is why it is very
easy to end up with subtle differences in globals.h.  Especially in
lwlib, which has no business accessing Lisp anyway.